# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Class SitemapNews

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.webmastertools.SitemapNews

All Implemented Interfaces:
  Extension

    public class SitemapNews

extends ExtensionPoint

Represents list of available publication labels for News sitemap. The idea is that this class lists all the available options for a given site and user picks one of the options when submitting News sitemap. Example:

         <feed ...>
           ...

             Label1
             Label2

        </feed>

Nested Class Summary
`class` `SitemapNews.Handler` parser.

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String` `SITEMAP_NEWS`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`SitemapNews()`

Method Summary
`void` `addPublicationLabel(java.lang.String label)` Add another language to the enumeration.
`void` `generate(com.google.gdata.util.common.xml.XmlWriter writer, ExtensionProfile profile)` Generates an XML representation for the extension.
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.
`java.util.Collection<java.lang.String>` `getPublicationLabels()` Get all the languages.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SITEMAP_NEWS

    public static final java.lang.String SITEMAP_NEWS

See Also:
  Constant Field Values

Constructor Detail

### SitemapNews

    public SitemapNews()

Method Detail

### addPublicationLabel

    public void addPublicationLabel(java.lang.String label)

  Add another language to the enumeration.

### getPublicationLabels

    public java.util.Collection<java.lang.String> getPublicationLabels()

  Get all the languages.

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter writer,
                         ExtensionProfile profile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Overrides:
    `generate` in class `AbstractExtension`
  Parameters:
    `writer` - XML writer
    `profile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)

  Description copied from class: `AbstractExtension`
  The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Overrides:
    `getHandler` in class `ExtensionPoint`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler